/*****************************************************************
  CATEGORY:			MiscDragView (BackwardCompatibility)
  
  	This category is here to maintain backward compatibility
	with the old version. The setAcceptForeign/Local/SelfDrag:
	and setRetainData: were removed since subclasses generally
	will choose either one or the other and not need to change
	characteristics during runtime.
	
	There are also the old delegate messages which are still
	sent for backward compatibility. Please do use the new ones
	as I am sure these will be removed someday.
	
 *****************************************************************/
 
#import <appkit/appkit.h>
#import <misckit/MiscDragView.h>


@interface MiscDragView (BackwardCompatibility)

- setAcceptForeignDrag: (BOOL)aBool;
- setAcceptLocalDrag: (BOOL)aBool;
- setAcceptSelfDrag: (BOOL)aBool;
- setRetainData: (BOOL)aBool;

@end


@interface Object (OldMiscDragViewDelegate)

- sourceDragInitiated: sender;
- sourceDragFinished: (BOOL)success;
- destinationDragInitiated: sender;
- destinationDragFinished: (BOOL)success;

@end 
